kadischi/rc userhome.sh,1.3,1.4

Jasper O'neal Hartline (autopsy) fedora-extras-commits at redhat.com
Wed Jul 12 21:42:41 UTC 2006


Author: autopsy

Update of /cvs/devel/kadischi/rc
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv31755/kadischi/rc

Modified Files:
	userhome.sh 
Log Message:
Make userhome data configuration script more verbose


Index: userhome.sh
===================================================================
RCS file: /cvs/devel/kadischi/rc/userhome.sh,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- userhome.sh	9 Jul 2006 17:45:05 -0000	1.3
+++ userhome.sh	12 Jul 2006 21:42:39 -0000	1.4
@@ -6,8 +6,16 @@
 TITLE="Kadischi User Data"
 TEXT="Kadischi data configuration and save"
 
+
+introduction() {
+    fstype="$fstype $(zenity --title "$TITLE" --question  --text "This menu was designed to allow a user to mount a device under /home to store specific \
+user data and configurations, specifically the user's home. Would you like to continue?" \
+        --height=300 --width=300)"
+        [ "$(echo $?)" != "0" ] && exit 1
+}
+
 get_fstype() {
-	fstype="$fstype $(zenity --list --title "$TITLE" --radiolist  --text "$Please choose the filesystem type on $partition to be mounted under /home"  \
+	fstype="$fstype $(zenity --list --title "$TITLE" --radiolist  --text "Choose the filesystem type for $partition to be mounted under /home"  \
     --column "" --column "Device" --column "Description"  --separator " "    \
 	"" "ext2" "Extended Second Filesystem" \
 	"" "ext3" "Extended Third Filesystem"  \
@@ -17,7 +25,7 @@
 }
 
 select_device () {
-	device="$device $(zenity --list --title "$TITLE" --radiolist  --text "$TEXT" \
+	device="$device $(zenity --list --title "$TITLE" --radiolist  --text "Select the device containing our mountable partition for /home" \
      --column "" --column "Device" --column "Description"  --separator " "       \
 	"" "/dev/hda" "First IDE disk"        \
 	"" "/dev/hdb" "Second IDE disk"       \
@@ -32,7 +40,7 @@
 }
 
 select_partitions () {
-	partition="$partition $(zenity --list --title "$TITLE" --radiolist  --text "$TEXT" \
+	partition="$partition $(zenity --list --title "$TITLE" --radiolist  --text "Select the partition that will be mounted under /home" \
      --column "" --column "Partition" --column "Description"  --separator " "          \
 	"" "/dev/$1d$21" "First partition"    \
 	"" "/dev/$1d$22" "Second partition"   \
@@ -46,7 +54,7 @@
     umount /home
     mount -t $fstype $partition /home
     if [ "$?" -eq "0" ]; then
-        zenity --title "Kadischi User Data" --info --text "Success! Mounted $partition on /home as $fstype, Done! If a non-root user doesn't already exist, create one now and logout, then log back in as your user."
+        zenity --title "Kadischi User Data" --info --text "Success! Mounted $partition on /home as $fstype, If a non-root user doesn't already exist, create one now and logout, then log back in as your user."
         sleep 20
         exit 0
     else
@@ -57,6 +65,7 @@
 
 if [ "$UID" -eq "0" ]; then
     if [ -x /usr/bin/zenity ]; then
+        introduction
         select_device
         case $device in
             /dev/hda) select_partitions h a
@@ -242,7 +251,8 @@
             while [ -z $DONE ]; do
                 clear
                 echo "---------------------------------------------------------------------"
-                echo "                Kadischi User Configuration and Save                 "
+            echo -e  "               \033[0;31mKadischi User Configuration and Save        "
+            echo -en "\033[0m"
                 echo "                                                                     "
                 echo "    1) Disk                                                          "
                 echo "    2) Partition                                                     "
@@ -304,9 +314,11 @@
                             exit 1
                         fi
                      else
+                        echo " "
                         echo "Still choices left!"
+                        echo "Move on to the next available option."
                         echo "                   "
-                        echo "                   "
+                        sleep 5
                      fi
             done
                 exit 0




More information about the fedora-extras-commits mailing list